Skip to main content
`Ctrl`+`K`

# MatPartitioningDestroy

Destroys the partitioning context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningDestroy(MatPartitioning *part)

Collective

## Input Parameter

- part - the partitioning context

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningType`, `MatPartitioningCreate()`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Examples

src/mat/tutorials/ex17f.F90
src/ksp/ksp/tutorials/ex64.c
src/mat/tutorials/ex17.c
src/mat/tutorials/ex15f.F90
src/mat/tutorials/ex15.c
src/mat/tutorials/ex11.c

## Implementations

MatPartitioningDestroy_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c
MatPartitioningDestroy_Hierarchical() in src/mat/graphops/partition/impls/hierarchical/hierarchical.c
MatPartitioningDestroy_Party() in src/mat/graphops/partition/impls/party/party.c
MatPartitioningDestroy_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c
MatPartitioningDestroy_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages